# Uses of Class
javafx.scene.control.TableColumnBase

Packages that use TableColumnBase
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TableColumnBase in javafx.scene.control

Classes in javafx.scene.control with type parameters of type TableColumnBase
Modifier and Type
Class
Description
`class`
`TableFocusModel<T,TC extends TableColumnBase<T,?>>`
The abstract base class for FocusModel implementations that are used within table-like controls (most notably `TableView` and `TreeTableView`.
`class`
`TablePositionBase<TC extends TableColumnBase>`
This class is used to represent a single row/column/cell in a table.
Subclasses of TableColumnBase in javafx.scene.control
Modifier and Type
Class
Description
`class`
`TableColumn<S,T>`
A `TableView` is made up of a number of TableColumn instances.
`class`
`TreeTableColumn<S,T>`
A `TreeTableView` is made up of a number of TreeTableColumn instances.
Methods in javafx.scene.control with type parameters of type TableColumnBase
Modifier and Type
Method
Description
`static <T extends TableColumnBase<?, ?>>
EventType<ScrollToEvent<T>>`
ScrollToEvent.`scrollToColumn()`
This event occurs if the user requests scrolling a `TableColumnBase` (i.e.
Methods in javafx.scene.control that return TableColumnBase
Modifier and Type
Method
Description
`TableColumnBase<S,?>`
ResizeFeaturesBase.`getColumn()`
Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a resize operation.
`final TableColumnBase<S,?>`
TableColumnBase.`getParentColumn()`
Gets the value of the `parentColumn` property.
Methods in javafx.scene.control that return types with arguments of type TableColumnBase
Modifier and Type
Method
Description
`abstract ObservableList<? extends TableColumnBase<S,?>>`
TableColumnBase.`getColumns()`
This enables support for nested columns, which can be useful to group together related data.
`final ReadOnlyObjectProperty<TableColumnBase<S,?>>`
TableColumnBase.`parentColumnProperty()`
This read-only property will always refer to the parent of this column, in the situation where nested columns are being used.
Methods in javafx.scene.control with parameters of type TableColumnBase
Modifier and Type
Method
Description
`abstract void`
TableSelectionModel.`clearAndSelect(int row, TableColumnBase<T,?> column)`
Clears all selection, and then selects the cell at the given row/column intersection.
`void`
TableView.TableViewSelectionModel.`clearAndSelect(int row, TableColumnBase<S,?> column)`
Clears all selection, and then selects the cell at the given row/column intersection.
`abstract void`
TableSelectionModel.`clearSelection(int row, TableColumnBase<T,?> column)`
Removes selection from the specified row/column position (in view indexes).
`void`
TableView.TableViewSelectionModel.`clearSelection(int row, TableColumnBase<S,?> column)`
Removes selection from the specified row/column position (in view indexes).
`abstract boolean`
TableSelectionModel.`isSelected(int row, TableColumnBase<T,?> column)`
Convenience function which tests whether the given row and column index is currently selected in this table instance.
`boolean`
TableView.TableViewSelectionModel.`isSelected(int row, TableColumnBase<S,?> column)`
Convenience function which tests whether the given row and column index is currently selected in this table instance.
`abstract void`
TableSelectionModel.`select(int row, TableColumnBase<T,?> column)`
Selects the cell at the given row/column intersection.
`void`
TableView.TableViewSelectionModel.`select(int row, TableColumnBase<S,?> column)`
Selects the cell at the given row/column intersection.
`abstract void`
TableSelectionModel.`selectRange(int minRow, TableColumnBase<T,?> minColumn, int maxRow, TableColumnBase<T,?> maxColumn)`
Selects the cells in the range (minRow, minColumn) to (maxRow, maxColumn), inclusive.
`void`
TableView.TableViewSelectionModel.`selectRange(int minRow, TableColumnBase<S,?> minColumn, int maxRow, TableColumnBase<S,?> maxColumn)`
Selects the cells in the range (minRow, minColumn) to (maxRow, maxColumn), inclusive.
`void`
TreeTableView.TreeTableViewSelectionModel.`selectRange(int minRow, TableColumnBase<TreeItem<S>,?> minColumn, int maxRow, TableColumnBase<TreeItem<S>,?> maxColumn)`
Selects the cells in the range (minRow, minColumn) to (maxRow, maxColumn), inclusive.
Constructors in javafx.scene.control with parameters of type TableColumnBase
Modifier
Constructor
Description
``
`ResizeFeaturesBase(TableColumnBase<S,?> column, Double delta)`
Creates an instance of this class, with the provided TableColumnBase and delta values being set and stored in this immutable instance.

## Uses of TableColumnBase in javafx.scene.control.skin

Classes in javafx.scene.control.skin with type parameters of type TableColumnBase
Modifier and Type
Class
Description
`class`
`TableViewSkinBase<M,S,C extends Control,I extends IndexedCell<M>,TC extends TableColumnBase<S,?>>`
TableViewSkinBase is the base skin class used by controls such as `TableView` and `TreeTableView` (the concrete classes are `TableViewSkin` and `TreeTableViewSkin`, respectively).
Methods in javafx.scene.control.skin that return TableColumnBase
Modifier and Type
Method
Description
`final TableColumnBase<S,T>`
TableCellSkinBase.`getTableColumn()`
Gets the value of the `tableColumn` property.
`final TableColumnBase<?,?>`
TableColumnHeader.`getTableColumn()`
Gets the value of the `tableColumn` property.
`protected abstract TableColumnBase<T,?>`
TableRowSkinBase.`getTableColumn(R cell)`
Returns the `TableColumnBase` instance for the given cell instance.
Methods in javafx.scene.control.skin that return types with arguments of type TableColumnBase
Modifier and Type
Method
Description
`protected abstract ObservableList<? extends TableColumnBase>`
TableRowSkinBase.`getVisibleLeafColumns()`
Returns an unmodifiable list containing the currently visible leaf columns.
`abstract ReadOnlyObjectProperty<? extends TableColumnBase<S,T>>`
TableCellSkinBase.`tableColumnProperty()`
The TableColumnBase instance that is responsible for this Cell.
`final ReadOnlyObjectProperty<TableColumnBase<?,?>>`
TableColumnHeader.`tableColumnProperty()`
A property that refers to the `TableColumnBase` instance that this header is visually represents.
Methods in javafx.scene.control.skin with parameters of type TableColumnBase
Modifier and Type
Method
Description
`protected TableCell<T,?>`
TableRowSkin.`createCell(TableColumnBase tcb)`
Creates a new cell instance that is suitable for representing the given table column instance.
`protected abstract R`
TableRowSkinBase.`createCell(TableColumnBase<T,?> tc)`
Creates a new cell instance that is suitable for representing the given table column instance.
`protected TreeTableCell<T,?>`
TreeTableRowSkin.`createCell(TableColumnBase tcb)`
Creates a new cell instance that is suitable for representing the given table column instance.
`protected TableColumnHeader`
NestedTableColumnHeader.`createTableColumnHeader(TableColumnBase col)`
Creates a new TableColumnHeader instance for the given TableColumnBase instance.
Constructors in javafx.scene.control.skin with parameters of type TableColumnBase
Modifier
Constructor
Description
``
`NestedTableColumnHeader(TableColumnBase tc)`
Creates a new NestedTableColumnHeader instance to visually represent the given `TableColumnBase` instance.
``
`TableColumnHeader(TableColumnBase tc)`
Creates a new TableColumnHeader instance to visually represent the given `TableColumnBase` instance.